## rebar 2.0.0

=== Makefile ===
.PHONY: dialyzer_warnings xref_warnings

all:
	./bootstrap

clean:
	@rm -rf rebar ebin/*.beam inttest/rt.work

debug:
	@./bootstrap debug

check: debug xref dialyzer

xref:
	@./rebar xref

dialyzer: dialyzer_warnings
	@diff -U0 dialyzer_reference dialyzer_warnings

dialyzer_warnings:
	-@dialyzer -q -n ebin -Wunmatched_returns -Werror_handling \
		-Wrace_conditions > dialyzer_warnings

binary: VSN = $(shell ./rebar -V)
binary: clean all
	cp rebar ../rebar.wiki/rebar
	(cd ../rebar.wiki && git commit -m "Update $(VSN)" rebar)

=== debian/changelog ===
rebar (2.0.0-5) unstable; urgency=low

  * Update debian/control.
    Add erlang-dialyzer to Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 15 Oct 2013 11:13:27 +0900

rebar (2.0.0-4) unstable; urgency=low

  * Update debian/control.
    - Add erlang-dialyzer to Build-Depends.
      Fix FTBFS if built with Erlang R16B01.
    - Bump Standards-Version to 3.9.4.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 29 Jul 2013 09:59:58 +0900

rebar (2.0.0-3) unstable; urgency=low

  * Add debian/watch file.
  * Change Maintainer to Debian Erlang Packagers
        <pkg-erlang-devel@lists.alioth.debian.org>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 21 Jan 2013 16:51:40 +0900

rebar (2.0.0-2) unstable; urgency=low

  * Remove extra slashes in man page synopsis.
    Thanks to Per Andersson. (Closes: #689929)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 08 Oct 2012 08:12:01 +0900

rebar (2.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #683350)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 15 Jul 2012 12:10:52 +0900

=== debian/control ===
Source: rebar
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.4
Homepage: https://github.com/basho/rebar
Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, erlang-dialyzer

Package: rebar
Architecture: any
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends},
	erlang-base | erlang-base-hipe,
	erlang-dev, erlang-tools, erlang-dialyzer
Recommends: git, mercurial
Enhances: erlang
Description: Sophisticated build-tool for Erlang projects that follows OTP principles
 rebar is an Erlang build tool that makes it easy to compile and
 test Erlang applications, port drivers and releases.
 .
 rebar is a self-contained Erlang script, so it's easy to distribute or even
 embed directly in a project. Where possible, rebar uses standard Erlang/OTP
 conventions for project structures, thus minimizing the amount of build
 configuration work. rebar also provides dependency management, enabling
 application writers to easily re-use common libraries from a variety of
 locations (git, hg, etc).

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
	 https://github.com/basho/rebar/tags .*[^n]/(?:v||release-|rebar[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Tue, 15 Jan 2013 20:52:43 +0000

## rebar 2.6.0

=== debian/changelog ===
rebar (2.6.0-2) unstable; urgency=medium

  * Fix build on arm64 with commad line option -m64. (Closes: #795932)
    Add patches/fix-build-on-64bit-arch.patch.
  * Update contorol file.
    - Add erlang-syntax-tools to Depends. (Closes: #794223)
    - Add Vcs-Git and Vcs-Browser field.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 03 Sep 2015 03:03:33 +0900

rebar (2.6.0-1) unstable; urgency=medium

  * New upstream released.
  * Update debian/rules. (Closes: #790633)
    - Disabled test. Test of rebar became necessary retest package.
      However, this package is not yet. This is until the retest is installed on
      Debian, to disable test.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 04 Jul 2015 03:25:04 +0900

rebar (2.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 30 Apr 2015 06:38:58 +0900

rebar (2.5.1-1) experimental; urgency=medium

  * New upstream released.
  * Update debian/control.
    - Bump Standards-Version to 3.9.6.
    - Update Homepage section to https://github.com/rebar/rebar.
    - Add erlang-syntax-tools and erlang-eunit to Build-Depends.
  * Update debian/copyright.
    - Update Source section to https://github.com/rebar/rebar.git.
  * Update debian/watch.
    - Update URL to https://github.com/rebar/rebar.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 14 Jan 2015 08:26:22 +0900

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.4
-Homepage: https://github.com/basho/rebar
-Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, erlang-dialyzer
+Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, erlang-syntax-tools,
+	erlang-eunit
+Standards-Version: 3.9.6
+Homepage: https://github.com/rebar/rebar
+Vcs-Git: git://anonscm.debian.org/pkg-leofs/rebar.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/rebar.git;a=summary
 
 Package: rebar
 Architecture: any
@@ -13,7 +16,7 @@
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends},
 	erlang-base | erlang-base-hipe,
-	erlang-dev, erlang-tools, erlang-dialyzer
+	erlang-dev, erlang-tools, erlang-syntax-tools
 Recommends: git, mercurial
 Enhances: erlang
 Description: Sophisticated build-tool for Erlang projects that follows OTP principles

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/ \
	 https://https://github.com/rebar/rebar/tags .*[^n]/(?:v||release-|rebar[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Tue, 15 Jan 2013 20:52:43 +0000

## rebar 2.6.1

=== debian/changelog ===
rebar (2.6.1-1) unstable; urgency=medium

  * New upstream released.
  * Remove patches/fix-build-on-64bit-arch.patch.
    Merged into upstream source.
  * Bump Standards-Version to 3.9.7.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Mar 2016 04:50:36 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, erlang-syntax-tools,
 	erlang-eunit
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/rebar/rebar
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/rebar.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/rebar.git;a=summary

## rebar 2.6.4

=== Makefile ===
.PHONY: clean xref_warnings deps test test_eunit test_inttest

REBAR=$(PWD)/rebar
RETEST=$(PWD)/deps/retest/retest
LOG_LEVEL?=debug
RT_TARGETS?=inttest

all:
	./bootstrap

clean:
	@rm -rf rebar .rebar/erlcinfo ebin/*.beam inttest/rt.work rt.work .eunit

distclean: clean
	@rm -rf deps

debug:
	@./bootstrap debug

check: debug xref dialyzer deps test

xref:
	@./rebar xref

build_plt:
	@./rebar build-plt

dialyzer:
	@./rebar dialyze

binary: VSN = $(shell ./rebar -V)
binary: clean all
	@cp rebar ../rebar.wiki/rebar
	(cd ../rebar.wiki && git commit -m "Update $(VSN)" rebar)

deps:
	@REBAR_EXTRA_DEPS=1 $(REBAR) get-deps
	@(cd deps/retest && $(REBAR) compile escriptize)

test: test_eunit test_inttest

test_eunit: all
	@$(REBAR) eunit

test_inttest: all deps
	@$(RETEST) -l $(LOG_LEVEL) $(RT_TARGETS)

travis: clean debug xref clean all deps test

=== debian/changelog ===
rebar (2.6.4-7) unstable; urgency=medium

  * Team upload.
  * Fix the patch which removes calls to functions deprecated in Erlang 27.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Feb 2025 12:58:37 +0300

rebar (2.6.4-6) unstable; urgency=medium

  * Team upload.
  * Remove calls to functions deprecated in Erlang 27.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Feb 2025 13:40:10 +0300

rebar (2.6.4-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Dec 2024 16:12:49 +0300

rebar (2.6.4-5~exp2) experimental; urgency=medium

  * Team upload.
  * Fix version of Erlang build-dependency.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 01 May 2024 16:35:59 +0300

rebar (2.6.4-5~exp1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental to test with Erlang 27.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 30 Apr 2024 23:25:48 +0300

rebar (2.6.4-4) unstable; urgency=medium

  * Team upload.
  * Rebuild with Erlang 25.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 22 Apr 2024 14:09:41 +0300

rebar (2.6.4-3) unstable; urgency=medium

  * Team upload.
  * Remove -lerl_interface from the erl_interface libraries list for Erlang 23
    (closes: #961596).
  * Replace the old VCS fields in debian/control by the Salsa ones.
  * Bump the debhelper compatibility level to 12.
  * Bump the standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 07 Jun 2020 18:03:54 +0300

rebar (2.6.4-2) unstable; urgency=medium

  * Fix control of decimal number (~d). (Closes: #840431)
    Add debian/patches/rebar_port_compiler.patch.
    Thnaks for Sergei Golovan <sgolovan@nes.ru>.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 15 Oct 2016 05:45:05 +0900

rebar (2.6.4-1) unstable; urgency=medium

  * New upstream released.
  * Add debian/gbp.conf.
  * Add erlang-crypto to Build-Depends and Depends. (Closes: #837234)
  * Add erlang-asn1, erlang-dialyzer, erlang-diameter, erlang-edoc,
    erlang-eunit, erlang-reltool, erlang-snmp, erlang-syntax-tools
    to Depends. Thanks for ergei Golovan <sgolovan@nes.ru>!

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 15 Sep 2016 17:19:02 +0900

rebar (2.6.2-2) unstable; urgency=medium

  * Fix debian/watch.
    Remove duplicated scheme.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 24 Aug 2016 00:43:30 +0900

rebar (2.6.2-1) unstable; urgency=medium

  * New upstream released.
  * Bump Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 22 Aug 2016 21:29:32 +0900

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,31 @@
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9), erlang-dev, erlang-tools, erlang-syntax-tools,
-	erlang-eunit
-Standards-Version: 3.9.7
+Build-Depends: debhelper-compat (= 13), erlang-dev (>= 1:27), erlang-tools, erlang-syntax-tools,
+	erlang-eunit, erlang-crypto
+Standards-Version: 4.7.0
 Homepage: https://github.com/rebar/rebar
-Vcs-Git: git://anonscm.debian.org/pkg-leofs/rebar.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/rebar.git;a=summary
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/rebar
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/rebar.git
 
 Package: rebar
 Architecture: any
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	erlang-base | erlang-base-hipe,
-	erlang-dev, erlang-tools, erlang-syntax-tools
+	erlang-base (>= 1:27),
+	erlang-dev,
+	erlang-tools,
+	erlang-syntax-tools,
+	erlang-crypto,
+	erlang-asn1,
+	erlang-dialyzer,
+	erlang-diameter,
+	erlang-edoc,
+	erlang-eunit,
+	erlang-reltool,
+	erlang-snmp,
+	erlang-syntax-tools
 Recommends: git, mercurial
 Enhances: erlang
 Description: Sophisticated build-tool for Erlang projects that follows OTP principles

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
